tomcat-el-3.0-api-8.0.46-1.mga6.noarch.rpm


Advertisement

Description

tomcat-el-3.0-api - Expression Language v3.0 API

Property Value
Distribution Mageia 6.1
Repository Mageia Core Updates i586
Package filename tomcat-el-3.0-api-8.0.46-1.mga6.noarch.rpm
Package name tomcat-el-3.0-api
Package version 8.0.46
Package release 1.mga6
Package architecture noarch
Package type rpm
Category Development/Java
Homepage http://tomcat.apache.org/
License ASL 2.0
Maintainer -
Download size 98.62 KB
Installed size 138.52 KB
Expression Language 3.0.

Alternatives

Package Version Architecture Repository
tomcat-el-3.0-api-8.0.53-1.mga6.noarch.rpm 8.0.53 noarch Mageia Core Updates
tomcat-el-3.0-api-8.0.53-1.mga6.noarch.rpm 8.0.53 noarch Mageia Core Updates
tomcat-el-3.0-api-8.0.50-1.1.mga6.noarch.rpm 8.0.50 noarch Mageia Core Updates Testing
tomcat-el-3.0-api-8.0.50-1.mga6.noarch.rpm 8.0.50 noarch Mageia Core Updates
tomcat-el-3.0-api-8.0.50-1.mga6.noarch.rpm 8.0.50 noarch Mageia Core Updates
tomcat-el-3.0-api-8.0.47-1.mga6.noarch.rpm 8.0.47 noarch Mageia Core Updates
tomcat-el-3.0-api-8.0.47-1.mga6.noarch.rpm 8.0.47 noarch Mageia Core Updates
tomcat-el-3.0-api-8.0.46-1.mga6.noarch.rpm 8.0.46 noarch Mageia Core Updates
tomcat-el-3.0-api-8.0.44-1.mga6.noarch.rpm 8.0.44 noarch Mageia Core
tomcat-el-3.0-api-8.0.44-1.mga6.noarch.rpm 8.0.44 noarch Mageia Core
tomcat-el-3.0-api - - -

Requires

Name Value
chkconfig -
java-headless -
javapackages-tools -

Provides

Name Value
el_api == 3.0
mvn(org.apache.tomcat:tomcat-el-api) == 8.0.46
mvn(org.apache.tomcat:tomcat-el-api:pom:) == 8.0.46
mvn(org.eclipse.jetty.orbit:javax.el) == 8.0.46
mvn(org.eclipse.jetty.orbit:javax.el:pom:) == 8.0.46
osgi(javax.el) == 2.2.0
tomcat-el-3.0-api == 1:8.0.46-1.mga6

Obsoletes

Name Value
tomcat-el-2.2-api -

Download

Type URL
Mirror distrib-coffee.ipsl.jussieu.fr
Binary Package tomcat-el-3.0-api-8.0.46-1.mga6.noarch.rpm
Source Package tomcat-8.0.46-1.mga6.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install tomcat-el-3.0-api rpm package:
    # urpmi tomcat-el-3.0-api

Files

Path
/usr/share/doc/tomcat-el-3.0-api/LICENSE
/usr/share/java/tomcat-el-3.0-api.jar
/usr/share/java/tomcat-el-api.jar
/usr/share/java/tomcat/tomcat-el-3.0-api.jar
/usr/share/maven-metadata/tomcat-tomcat-el-api.xml
/usr/share/maven-poms/JPP-tomcat-el-api.pom

Changelog

2017-09-16 - daviddavid <daviddavid> 1:8.0.46-1.mga6
+ Revision: 1154730
- Update to 8.0.46, fixes CVE-2017-7674 (mga#21714)
2017-06-24 - daviddavid <daviddavid> 1:8.0.44-1.mga6
+ Revision: 1108269
- Update to 8.0.44, fixes CVE-2017-5664 (mga#21131)
2017-04-21 - neoclust <neoclust> 1:8.0.43-1.mga6
+ Revision: 1096991
- New version 8.0.43 ( Fixes CVE-2017-5647 and CVE-2017-5648 )
2017-02-10 - daviddavid <daviddavid> 1:8.0.41-1.mga6
+ Revision: 1085490
- Update to 8.0.41, fixes CVE-2016-8745 (mga#20081)
2016-12-01 - daviddavid <daviddavid> 1:8.0.39-1.mga6
+ Revision: 1071447
- Update to 8.0.39, fixes CVE-2016-6816 CVE-2016-6817 CVE-2016-8735 (mga#19828)
2016-10-25 - daviddavid <daviddavid> 1:8.0.38-1.mga6
+ Revision: 1063493
- Update to 8.0.38
2016-10-24 - daviddavid <daviddavid> 1:8.0.37-2.mga6
+ Revision: 1063410
- Resolves: CVE-2016-6325 tomcat: tomcat writable config files allow privilege escalation (mga#19560)
- Resolves: CVE-2016-5425 tomcat: Local privilege escalation via systemd-tmpfiles service (mga#19560)
- move logrotate.d and catalina.out files to -jsvc subpackage (like fedora)
2016-09-09 - daviddavid <daviddavid> 1:8.0.37-1.mga6
+ Revision: 1051080
- new version: 8.0.37 fixes CVE-2016-5388 (mga#19306)
- remove merged upstream asfbz-59960 patch
2016-08-12 - daviddavid <daviddavid> 1:8.0.36-1.mga6
+ Revision: 1046047
- new version: 8.0.36 (sync with fc24)
* Resolves: rhbz#1349469 CVE-2016-3092 tomcat: Usage of vulnerable FileUpload package can result in denial of service (updates to 8.0.36)
* Resolves: rhbz#1364056 The command tomcat-digest doesn't work
* Resolves: rhbz#1363884 The tomcat-tool-wrapper script is broken
* Resolves: rhbz#1347864 The systemd service unit does not allow tomcat to shut down gracefully
* Resolves: rhbz#1347835 The security manager doesn't work correctly (JSPs cannot be compiled)
* Resolves: rhbz#1341853 rpm -V tomcat fails on /var/log/tomcat/catalina.out
* Resolves: rhbz#1341850 tomcat-jsvc.service has TOMCAT_USER value hard-coded
* Resolves: rhbz#1359737 Missing maven depmap for the following artifacts: org.apache.tomcat:tomcat-websocket, org.apache.tomcat:tomcat-websocket-api
* Resolves: asfbz#59960  Building javadocs with java8 fails
- remove merged upstream patch
2016-07-02 - daviddavid <daviddavid> 1:8.0.32-2.mga6
+ Revision: 1038313
- add and rediff patch from debian to fix CVE-2016-3092 (mga#18803)
- sync some changes with fc24
+ neoclust <neoclust>
- Second rebuild of the java stack

See Also

Package Description
tomcat-javadoc-8.0.46-1.mga6.noarch.rpm Javadoc generated documentation for Apache Tomcat
tomcat-javadoc-8.0.47-1.mga6.noarch.rpm Javadoc generated documentation for Apache Tomcat
tomcat-javadoc-8.0.50-1.mga6.noarch.rpm Javadoc generated documentation for Apache Tomcat
tomcat-javadoc-8.0.53-1.mga6.noarch.rpm Javadoc generated documentation for Apache Tomcat
tomcat-jsp-2.3-api-8.0.46-1.mga6.noarch.rpm Apache Tomcat JSP API implementation classes
tomcat-jsp-2.3-api-8.0.47-1.mga6.noarch.rpm Apache Tomcat JSP API implementation classes
tomcat-jsp-2.3-api-8.0.50-1.mga6.noarch.rpm Apache Tomcat JSP API implementation classes
tomcat-jsp-2.3-api-8.0.53-1.mga6.noarch.rpm Apache Tomcat JSP API implementation classes
tomcat-jsvc-8.0.46-1.mga6.noarch.rpm Apache jsvc wrapper for Apache Tomcat as separate service
tomcat-jsvc-8.0.47-1.mga6.noarch.rpm Apache jsvc wrapper for Apache Tomcat as separate service
tomcat-jsvc-8.0.50-1.mga6.noarch.rpm Apache jsvc wrapper for Apache Tomcat as separate service
tomcat-jsvc-8.0.53-1.mga6.noarch.rpm Apache jsvc wrapper for Apache Tomcat as separate service
tomcat-lib-8.0.46-1.mga6.noarch.rpm Libraries needed to run the Tomcat Web container
tomcat-lib-8.0.47-1.mga6.noarch.rpm Libraries needed to run the Tomcat Web container
tomcat-lib-8.0.50-1.mga6.noarch.rpm Libraries needed to run the Tomcat Web container
Advertisement
Advertisement